=== modified file 'cluster-controller-integration.py'
--- cluster-controller-integration.py	2013-12-05 22:15:55 +0000
+++ cluster-controller-integration.py	2014-02-27 19:35:59 +0000
@@ -5,14 +5,12 @@
 import zmq
 
 from utils import (
-    assertCommandReturnCode, run_command, update_pxe_config,
-    CLUSTER_CONTROLLER_IP
+    assertCommandReturnCode, run_command, CLUSTER_CONTROLLER_IP
     )
 
 
 tests_order = [
     'test_preseed_updated_cluster_config',
-    'test_update_pxe_config',
     'test_import_pxe_files',
     'test_wait_for_region_controller',
 ]
@@ -34,9 +32,6 @@
         self.assertThat(maas_file, Contains(
             'MAAS_URL="http://192.168.21.5/MAAS"'))
 
-    def test_update_pxe_config(self):
-        update_pxe_config()
-
     def test_import_pxe_files(self):
         cmd = ['maas-import-pxe-files']
         expected_output = 'Downloading to temporary location'

=== modified file 'maas-integration.py'
--- maas-integration.py	2014-02-27 18:51:28 +0000
+++ maas-integration.py	2014-02-27 19:35:59 +0000
@@ -20,8 +20,8 @@
 from utils import (
     assertCommandReturnCode, assertStartedUpstartService,
     change_logs_permissions, is_juju_core, run_command, timeout,
-    update_pxe_config, CLUSTER_CONTROLLER_IP, SQUID_DEB_PROXY_URL,
-    HTTP_PROXY, get_maas_revision, retries,
+    CLUSTER_CONTROLLER_IP, SQUID_DEB_PROXY_URL, HTTP_PROXY,
+    get_maas_revision, retries,
     )
 
 sys.path.insert(0, "/usr/share/maas")
@@ -199,7 +199,6 @@
     "test_update_maas_url",
     "test_restart_provisioning_server",
     "test_check_initial_services",
-    "test_update_pxe_config",
     "test_import_pxe_files",
     "test_update_preseed_arm",
     "test_login_api",
@@ -316,9 +315,6 @@
         assertStartedUpstartService(
             self, 'maas-pserv', '/var/log/maas/pserv.log')
 
-    def test_update_pxe_config(self):
-        update_pxe_config()
-
     def test_import_pxe_files(self):
         env = os.environ.copy()
         env['http_proxy'] = HTTP_PROXY

=== modified file 'utils.py'
--- utils.py	2014-02-07 17:23:46 +0000
+++ utils.py	2014-02-27 19:35:59 +0000
@@ -83,15 +83,6 @@
     return process.returncode, stdout, stderr
 
 
-def update_pxe_config():
-    content = open('/etc/maas/import_pxe_files').read()
-    content = content.replace(
-        '#RELEASES="precise quantal raring saucy"',
-        'RELEASES="precise saucy"')
-    with open('/etc/maas/import_pxe_files', 'w') as f:
-        f.write(content)
-
-
 def retries(timeout=30, delay=1):
     """Helper for retrying something, sleeping between attempts.
 

